CharStringCommand
Date: 2017-05-25

org.apache.fontbox.cff

## Class CharStringCommand

- java.lang.Object
- - org.apache.fontbox.cff.CharStringCommand

-     public class CharStringCommand
      extends java.lang.Object

  This class represents a CharStringCommand.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CharStringCommand.Key` A static class to hold one or more int values as key.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<CharStringCommand.Key,java.lang.String>` | `TYPE1_VOCABULARY` A map with the Type1 vocabulary.
    `static java.util.Map<CharStringCommand.Key,java.lang.String>` | `TYPE2_VOCABULARY` A map with the Type2 vocabulary.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharStringCommand(int b0)` Constructor with one value.
    `CharStringCommand(int[] values)` Constructor with an array as values.
    `CharStringCommand(int b0, int b1)` Constructor with two values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `CharStringCommand.Key` | `getKey()` The key of the CharStringCommand.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE1_VOCABULARY

          public static final java.util.Map<CharStringCommand.Key,java.lang.String> TYPE1_VOCABULARY

      A map with the Type1 vocabulary.

    - #### TYPE2_VOCABULARY

          public static final java.util.Map<CharStringCommand.Key,java.lang.String> TYPE2_VOCABULARY

      A map with the Type2 vocabulary.

  - ### Constructor Detail

    - #### CharStringCommand

          public CharStringCommand(int b0)

      Constructor with one value.
      Parameters:
        `b0` - value

    - #### CharStringCommand

          public CharStringCommand(int b0,
                           int b1)

      Constructor with two values.
      Parameters:
        `b0` - value1
        `b1` - value2

    - #### CharStringCommand

          public CharStringCommand(int[] values)

      Constructor with an array as values.
      Parameters:
        `values` - array of values

  - ### Method Detail

    - #### getKey

          public CharStringCommand.Key getKey()

      The key of the CharStringCommand.
      Returns:
        the key

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`